Build native iOS applications directly from your browser. No Mac required. No more build errors! We also guarantee privacy, speed and being forever free without any hidden fees.

Click, click, done.

1

Create a new project

Click the + icon and create a new project

2

Code your app

You can code your app while enjoying a live preview of an iPhone and having a monaco editor that has text highlighting.

3

Download unsigned .ipa

Once youre done developing your application, you can simply press the download button and download your fully working unsigned .ipa

Why choose us?

Fast Builds

We use powerful cloud build servers and optimized build settings to produce your .ipa in seconds instead of minutes

No more Errors!

We simplified building iOS apps for the user so that no more build errors can occur. If you get another build error than failed to fetch or unstable internet, I will publicly apologise

Live build log

We use snack notifications to let you know about the status of your build.

Push notification support

Something we are extremely proud of is our push notification support. I myself developed notification.js lib that you can link to use the push() function over JS x Swift

Constant updates

My github has 53 commits so far and there will be more every week, fixing bugs, optimizing page looks and layout.

Free, open-source and privacy-oriented.

We do not store your projects or data, your projects live inside your LocalStorage, get sent to server for sompiling and get deleted immediately. The code is on my GitHub: github.com/0xShadowHex

Use Web (HTML, CSS and JS) in your app

HTML5

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Default-screen</title>
    <link rel="stylesheet" href="../css/style.css">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Borel&display=swap" rel="stylesheet">
</head>

<body>
    <div class="container">
        <h1 class="welcome-screen">hello</h1>
    </div>

    <!-- Link notification library to app, for photo etc use input until next update-->
    <script src="../js/notification.js"></script>
    <script src="../js/script.js"></script>
</body>

</html>
CSS3
body {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    margin: 0;
    padding: 20px;
    background: linear-gradient(135deg, #002fff 0%, #cc0099 100%);
    min-height: 95.2vh;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
}
.welcome-screen{
    font-size: 2.5em;
    font-family: "Borel", cursive;
}
.welcome-screen::selection{
    background: none;
}
JS (ES2025)
//waits 7 seconds, then sends a push notification "Greetings from myself" if app not curently opened
push(7, "Greetings from 0xShadowHex");

Start building with iCodeWin today!

No hidden fees, always free, open-source and privacy-oriented